#ifndef _CV_CONTOUR_FINDER
#define _CV_CONTOUR_FINDER

#include "ofCvConstants.h"
class ofCvGrayscaleImage;

//--------------------------------------------------------------------
class ofCvContourFinder {

	public:
		
		ofCvContourFinder();
		ofCvContourFinder(int _w, int _h);
		~ofCvContourFinder();

		void					allocate(int _w, int _h);
		void					clear();
		bool					bAllocated;

		void  					findContours (	ofCvGrayscaleImage&	 	mom,
												int 					minArea,
												int 					maxArea,
												int 					nConsidered,
												bool 					bFindHoles);

		void 					reset();
		void 					draw();

		ofCvGrayscaleImage*		pInputCopy;
		CvMemStorage			*contour_storage;
		CvMemStorage			*storage;
		CvMoments				*myMoments;

		//----------------------------------- an array of cvSequences
		int 					nCvSeqsFound;
		CvSeq* 					cvSeqBlobs[MAX_NUM_CONTOURS_TO_FIND];
		
		int 					nBlobs;
		ofCvBlob				* blobs; 
		
		

};

#endif
